API referenceDiscord
DELETE /discord/guilds/{guildId}/members/{userId}/roles/{roleId}
Remove a role from a member (idempotent)
DELETE
BearerAuthheader
AuthorizationBearer <token>API key sk_...
guildId*stringDiscord server (guild) id
userId*stringUser id
roleId*stringRole id
accountId*stringDiscord account id bound to this server (or the channel's server)
Done
application/json- response
success?booleanoperation?"role_removed"Value in
"role_removed"guildId?stringuserId?stringroleId?stringcurl -X DELETE 'https://example.com/api/v1/discord/guilds/string/members/string/roles/string?accountId=string'Example Response
{ "success": true, "operation": "role_removed", "guildId": "string", "userId": "string", "roleId": "string"}